package homework1_2;
/*
Дома дочери Пети опять нужна помощь с математикой! В этот раз ей
нужно проверить, имеет ли предложенное квадратное уравнение решение или
нет.
На вход подаются три числа — коэффициенты квадратного уравнения a, b, c.
Нужно вывести "Решение есть", если оно есть и "Решения нет", если нет.
Ограничения:
-100 < a, b, c < 100
Пример:
Входные данные Выходные данные
1 -95 18 Решение есть
46 44 3 Решение есть
34 35 39 Решения нет
31 -89 4 Решение есть
Если дискриминант отрицательный, решения нет.
дискриминант — это просто число D = b^2 − 4ac.
 */

import java.util.Scanner;

public class Task5 {
    public static void main(String[] args) {
        Scanner input = new Scanner(System.in);
        int a = input.nextInt();
        int b = input.nextInt();
        int c = input.nextInt();

        double d = Math.pow(b, 2) - 4 * a * c;

        if (d < 0) System.out.println("Решения нет");
        else System.out.println("Решение есть");
    }
}
